//+------------------------------------------------------------------+
//|                                                   Dormi_band.mq4 |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 PowderBlue
#property indicator_width1 17
#property indicator_color2 Wheat
#property indicator_width2 17
#property indicator_color3 Orange
#property indicator_width3 3
#property indicator_color4 SkyBlue
#property indicator_width4 3
#property indicator_color5 Orange
#property indicator_width5 3
#property indicator_color6 SkyBlue
#property indicator_width6 2
extern ENUM_TIMEFRAMES TimeFrame=PERIOD_CURRENT;
extern int ma_1 = 55;
extern int ma_2 = 55;
extern int price1 = 5;
extern int method_1 = 1;
extern int shift_1 = 0;
extern int price2 = 5;
extern int method_2 = 1;
extern int shift_2 = 6;
extern int  = 19;
extern int  = 2;
extern bool ShowSignal=false;
extern bool =true;
double ExtMapBuffer1[], ExtMapBuffer2[], MA3[], MA4[], MA5[], MA6[];
int ExtCountedBars=0, key, LineHisto;
//+------------------------------------------------------------------+
int init()  {
   if() LineHisto=DRAW_HISTOGRAM;   else   LineHisto=DRAW_NONE;
   SetIndexStyle(0,LineHisto, EMPTY, );  SetIndexBuffer(0,ExtMapBuffer1);   SetIndexDrawBegin(0,10);
   SetIndexStyle(1,LineHisto, EMPTY, );  SetIndexBuffer(1,ExtMapBuffer2);   SetIndexDrawBegin(1,10);
   SetIndexStyle(2,DRAW_LINE, EMPTY, );        SetIndexBuffer(2,MA5);             SetIndexDrawBegin(2,10);
   SetIndexStyle(3,DRAW_LINE, EMPTY, );        SetIndexBuffer(3,MA3);             SetIndexDrawBegin(3,10);
   SetIndexStyle(4,DRAW_LINE, EMPTY, );        SetIndexBuffer(4,MA4);             SetIndexDrawBegin(4,10);
   SetIndexStyle(5,DRAW_LINE, EMPTY, );        SetIndexBuffer(5,MA6);             SetIndexDrawBegin(5,10);
   TimeFrame = MathMax(TimeFrame,_Period);
  return(0);
  }
//+------------------------------------------------------------------+
int start()  {
   if(Bars<=10) return(0);
   ExtCountedBars=IndicatorCounted();
   if (ExtCountedBars<0) return(-1);
   if (ExtCountedBars>0) ExtCountedBars--;
   int pos=Bars-ExtCountedBars-1; pos = MathMin(Bars-1,MathMax(pos,2*TimeFrame/_Period));
   int cc=0, c;
   while(pos>=0)   { 
      int y = iBarShift(NULL,TimeFrame,Time[pos]);
      ExtMapBuffer1[pos]=iMA(NULL,TimeFrame,ma_1,shift_1,method_1,price1,y);
      ExtMapBuffer2[pos]=iMA(NULL,TimeFrame,ma_2,shift_2,method_2,price2,y);
      MA5[pos]=ExtMapBuffer2[pos];
      MA6[pos]=ExtMapBuffer1[pos];
      if(ExtMapBuffer1[pos]>=ExtMapBuffer2[pos])    { MA3[pos]=ExtMapBuffer2[pos]; MA4[pos]=EMPTY_VALUE;  }
      if(ExtMapBuffer1[pos]< ExtMapBuffer2[pos])    { MA3[pos]= EMPTY_VALUE;       MA4[pos]=ExtMapBuffer2[pos];  }
 	   pos--;
   }
   if(key!=Time[0] && ShowSignal)  {
     if(High[1]>ExtMapBuffer2[1] && Low[1]<ExtMapBuffer2[1])  {
       for(c=2; c<=15; c++)  if(High[c]>ExtMapBuffer2[c] && Low[c]<ExtMapBuffer2[c]) cc++;
       if(cc==0)  Alert(Symbol(),"   ", Period(), "   Buy-Sell");
     }
     key=Time[0];
   }
   return(0);
}
//+------------------------------------------------------------------+
//for(c=2; c<=12; c++)  if(High[c]>ExtMapBuffer2[c] && Low[c]<ExtMapBuffer2[c]) cc++;
//       if(cc==0)  
